import { ElementRef, Renderer2, ChangeDetectorRef, EventEmitter, AfterViewInit } from '@angular/core';
export declare type Direction = 'top' | 'top-left' | 'top-right' | 'right' | 'right-top' | 'right-bottom' | 'bottom' | 'bottom-left' | 'bottom-right' | 'left' | 'left-top' | 'left-bottom';
export declare type Size = 'small' | 'medium' | 'large';
export declare class PopoverComponent implements AfterViewInit {
    element: ElementRef;
    renderer: Renderer2;
    changeDetector: ChangeDetectorRef;
    header: string;
    footer: string;
    hasEdit: boolean;
    hasDelete: boolean;
    infoTitle: string;
    infoCreatedBy: string;
    infoModifiedBy: string;
    infoDate: string;
    templateType: 'defaultContent' | 'infoContent' | 'downloadContent' | 'datePickerContent';
    templateTypeData: any;
    isInteractive: boolean | string;
    set theme(theme: any);
    set tooltip(isTooltip: any);
    set nubbin(direction: Direction);
    set size(size: Size);
    afterViewInit: EventEmitter<any>;
    onInteraction: EventEmitter<boolean>;
    templateEventEmiter: EventEmitter<any>;
    uid: string;
    get labelledby(): string;
    _nubbin: Direction;
    _theme: string;
    _size: Size;
    _isTooltip: boolean;
    constructor(element: ElementRef, renderer: Renderer2, changeDetector: ChangeDetectorRef);
    ngAfterViewInit(): void;
    interactiveHandler(evt: Event, isEnter: boolean): void;
    /**
     * Events on specific "downloadContent" <ng-template /> Template:
     */
    downloadContentDownloadFile(objFile: any): void;
    downloadContentDeleteFile(objFile: any): void;
    downloadContentEditFile(objFile: any): void;
    datePickerContentChange(selectedDate: Date): void;
}
